## unifdef 1.0

=== Makefile ===
CC     = gcc
CFLAGS = -O2 
DEST   = /usr

unifdef: unifdef.o
	$(CC) unifdef.o -o unifdef

clean:
	rm -f unifdef *.o

install: unifdef
	install -m 0755 unifdef $(DEST)/bin
	install -m 0644 unifdef.1 $(DEST)/man/man1

## unifdef 2.3

=== Makefile ===
# Makefile for unifdef

prefix =	${HOME}
bindir =	${prefix}/bin
mandir =	${prefix}/share/man
man1dir=	${mandir}/man1

bindest=	${DESTDIR}${bindir}
man1dest=	${DESTDIR}${man1dir}


all: unifdef

unifdef: unifdef.c
unifdef.c: version.h
version.h version.sh::
	./reversion.sh

test: unifdef
	./runtests.sh tests

install: unifdef unifdefall.sh unifdef.1
	: commands
	install -m 755 -d  ${bindest}
	install -m 755 unifdef  ${bindest}/
	install -m 755 unifdefall.sh  ${bindest}/unifdefall
	: manual
	install -m 755 -d  ${man1dest}
	install -m 644 unifdef.1  ${man1dest}/
	ln -s unifdef.1  ${man1dest}/unifdefall.1

clean:
	rm -f unifdef unifdef.txt version.h
	rm -f tests/*.out tests/*.err tests/*.rc

realclean: clean
	[ ! -d .git ] || rm -f Changelog version.sh
	find . -name .git -prune -o \( \
		-name '*~' -o -name '.#*' -o \
		-name '*.orig' -o -name '*.core' \
		\) -delete

DISTFILES=             \
	Changelog      \
	COPYING        \
	INSTALL        \
	Makefile       \
	README         \
	reversion.sh   \
	runtests.sh    \
	tests          \
	unifdef.c      \
	unifdef.1      \
	unifdef.txt    \
	unifdefall.sh  \
	version.sh

release: version.sh unifdef.txt Changelog
	. version.sh; \
	mkdir web/$$V; cp -R ${DISTFILES} web/$$V; \
	cd web; tar cfz $$V.tar.gz $$V; rm -R $$V

unifdef.txt: unifdef.1
	nroff -Tascii -mdoc unifdef.1 | sed -e 's/.//g' >unifdef.txt
	cp unifdef.txt web

Changelog:
	line="---------------------------------------------------"; \
	git log --stat --pretty=format:"$$line%n%ai %an <%ae>%n%n%s%n%n%b" |\
	awk '/^$$/ { n++ } \
	     /./ && !n { print } \
	     /./ && n  { print ""; print; n=0 } \
	     END { print "'$$line'" }' >Changelog

upload:
	git gc
	git update-server-info
	git push --all github
	touch .git/git-daemon-export-ok
	echo "selectively remove C preprocessor conditionals" >.git/description
	rsync --delete --recursive --links .git/ chiark:public-git/unifdef.git/
	rsync --delete --recursive --links  web/ chiark:public-html/prog/unifdef/

# eof

=== debian/changelog ===
unifdef (2.3-1) unstable; urgency=low

  * New upstream version.
  * Correct unifdefall's exit status if the cleanup rm fails.
  * Man page updates.

 -- Bob Proulx <bob@proulx.com>  Sat, 03 Apr 2010 01:00:39 -0600

unifdef (2.1-1) unstable; urgency=low

  * New upstream version.
  * unifdef gains embedded version information plus -V to display it.

 -- Bob Proulx <bob@proulx.com>  Fri, 12 Mar 2010 20:38:33 -0700

unifdef (1.357-1) unstable; urgency=low

  * New upstream version.
  * Fix copyright file snafu.  With thanks to Jonathan Nieder.
    (Closes: 572648)
  * Upstream licensing of files simplified and converged to the one
    project global 2-clause license leaving only the unifdefall file with
    the legacy 3-clause license.  Much simpler.
  * Upstream now includes an explicit COPYING file with license details.
  * Removed Debian patch for man page formating.  Fixed upstream.

 -- Bob Proulx <bob@proulx.com>  Mon, 08 Mar 2010 23:32:38 -0700

unifdef (1.353-1) unstable; urgency=low

  * New upstream version.
  * Track distribution file name changes.

 -- Bob Proulx <bob@proulx.com>  Wed, 24 Feb 2010 16:37:07 -0700

unifdef (1.352-1) unstable; urgency=low

  * New upstream version.  (Closes: 557649)
  * The upstream maintainer is now releasing standalone distributions.
    This package switches to the new distribution bundle.
  * Switch to dpkg-source 3.0 (quilt) format.

 -- Bob Proulx <bob@proulx.com>  Sat, 20 Feb 2010 22:31:47 -0700

unifdef (1.0+20080502-1) unstable; urgency=low

  * Sync with latest FreeBSD version of unifdef.  This is effectively a
    new upstream version.
  * Include upstream unifdefall script to remove all ifdefs.  This adds a
    dependency upon 'cpp'.  (Closes: #406880)
  * Don't require at least one symbol when using -k.  (Closes: #401182)
  
 -- Bob Proulx <bob@proulx.com>  Sun, 01 Nov 2009 01:16:17 -0700

unifdef (1.0+20030701-3) unstable; urgency=low

  * Acknowledge QA upload.
  * Retain as maintainer.  (Closes: #553462)
  * Merge QA NMU with maintainer version.
  * Remove unneeded actions in configure target.
  * Fix FTBFS due to libc addition of conflicting symbol 'getline'.
    (Closes: #552879)
  * Increase debhelper compat level to 7.
  * Increase standards conformance version to 3.8.3.
  * Appease lintian warning about ignoring make clean return status by no
    longer ignoring it.
  * Original version: 1.0+20030701-2
  * Original date: Fri, 30 Oct 2009 11:33:33 -0600
  
 -- Bob Proulx <bob@proulx.com>  Sat, 31 Oct 2009 11:11:15 -0400

unifdef (1.0+20030701-2) unstable; urgency=low

  * QA upload.
    + Set maintainer to Debian QA Group <packages@qa.debian.org>.
  * Rename local getline func to local_getline in unifdef.c. (Closes: #552879).
  * Make clean not ignore errors.
  * Bump debhelper build-dep to 5.
  * Move DH_COMPAT from rules to compat and set to 5.
  * Bump Standards Version to 3.8.3.

 -- Barry deFreese <bdefreese@debian.org>  Sat, 31 Oct 2009 11:11:14 -0400

unifdef (1.0+20030701-2~1) unstable; urgency=low

  * Fix FTBFS due to libc addition of conflicting symbol 'getline'.
    (Closes: #552879)
  * Increase debhelper compat level to 7.
  * Increase standards conformance version to 3.8.3.
  * Appease lintian warning about ignoring make clean return status by no
    longer ignoring it.
  
 -- Bob Proulx <bob@proulx.com>  Fri, 30 Oct 2009 11:33:33 -0600

unifdef (1.0+20030701-1) unstable; urgency=low

  * Switch to current FreeBSD version of unifdef.  This is effectively a
    switch to a new upstream version.  Really it is switching to a
    different branching of the original code base.
  * Suggestion to switch to the newer FreeBSD version. (Closes: #234054)
  * Whitespace is now allowed at the beginning of #if line before the '#'
    character.  (Closes: #204349)
  * Whitespace is now generally ignored around the preprocessor
    directives.  This allows indention of preprocessor control flow.
  * Previously only "#ifdef" and "#ifndef" preprocessor controls were
    handled giving the program the justifiable name of "unifdef".  Now
    general "#if" processing such as "#if defined(FOO)" and boolean
    expresions of those constructs are allowed.

 -- Bob Proulx <bob@proulx.com>  Sat,  3 Jul 2004 18:09:39 -0600

unifdef (1.0-1) unstable; urgency=low

  * First Debian packaging.

 -- Bob Proulx <bob@proulx.com>  Wed, 26 Feb 2003 10:49:15 -0700

=== debian/control ===
Source: unifdef
Section: devel
Priority: optional
Maintainer: Bob Proulx <bob@proulx.com>
Build-Depends: debhelper (>> 7.0.0)
Standards-Version: 3.8.4
Homepage: http://dotat.at/prog/unifdef/

Package: unifdef
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cpp
Description: Remove cpp '#ifdef' lines from files
 The unifdef utility selectively processes conditional cpp(1) directives.
 It removes from a file both the directives and any additional text that
 they specify should be removed, while otherwise leaving the file alone.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

build: build-stamp

build-stamp:
	dh_testdir
	env PATH=$$PATH:$(CURDIR) $(MAKE) CFLAGS="$(CFLAGS)"
	env PATH=$$PATH:$(CURDIR) $(MAKE) test
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -f unifdef
	rm -f version.h
	rm -f tests/*.out tests/*.err tests/*.rc
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs
	echo RUNNING MAKE INSTALL
	env PATH=$$PATH:$(CURDIR) $(MAKE) install prefix=/usr DESTDIR=$(CURDIR)/debian/unifdef

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## unifdef 2.6

=== Makefile ===
--- 
+++ 
@@ -30,10 +30,11 @@
 	ln -s unifdef.1  ${man1dest}/unifdefall.1
 
 clean:
-	rm -f unifdef unifdef.txt version.h
+	rm -f unifdef version.h
 	rm -f tests/*.out tests/*.err tests/*.rc
 
 realclean: clean
+	rm -f unifdef.txt
 	[ ! -d .git ] || rm -f Changelog version.sh
 	find . -name .git -prune -o \( \
 		-name '*~' -o -name '.#*' -o \
@@ -62,23 +63,13 @@
 
 unifdef.txt: unifdef.1
 	nroff -Tascii -mdoc unifdef.1 | sed -e 's/.//g' >unifdef.txt
-	cp unifdef.txt web
 
 Changelog:
 	line="---------------------------------------------------"; \
-	git log --stat --pretty=format:"$$line%n%ai %an <%ae>%n%n%s%n%n%b" |\
+	git log --no-merges --stat --pretty=format:"$$line%n%ai %an <%ae>%n%n%s%n%n%b" |\
 	awk '/^$$/ { n++ } \
 	     /./ && !n { print } \
 	     /./ && n  { print ""; print; n=0 } \
-	     END { print "'$$line'" }' >Changelog
-
-upload:
-	git gc
-	git update-server-info
-	git push --all github
-	touch .git/git-daemon-export-ok
-	echo "selectively remove C preprocessor conditionals" >.git/description
-	rsync --delete --recursive --links .git/ chiark:public-git/unifdef.git/
-	rsync --delete --recursive --links  web/ chiark:public-html/prog/unifdef/
+	     END { print ""; print "'$$line'" }' >Changelog
 
 # eof

=== debian/changelog ===
unifdef (2.6-1) unstable; urgency=low

  * New upstream release.
  
 -- Bob Proulx <bob@proulx.com>  Tue, 22 Feb 2011 21:31:52 -0700

unifdef (2.5-1) unstable; urgency=low

  * New upstream release.

 -- Bob Proulx <bob@proulx.com>  Tue, 08 Feb 2011 14:32:07 -0700

unifdef (2.4-1) experimental; urgency=low

  * New upstream release.
  * Minor spelling corrections in the documentation.
  * Minor build updates in the Makefile.  This enables cleaning up the
    Debian build rules somewhat.
  * Increase debhelper compat level to 8.
  * Increase standards conformance version to 3.9.1.

 -- Bob Proulx <bob@proulx.com>  Wed, 14 Sep 2010 17:20:00 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: devel
 Priority: optional
 Maintainer: Bob Proulx <bob@proulx.com>
-Build-Depends: debhelper (>> 7.0.0)
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 8.0.0)
+Standards-Version: 3.9.1
 Homepage: http://dotat.at/prog/unifdef/
 
 Package: unifdef

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,4 @@
 #!/usr/bin/make -f
-# Sample debian/rules that uses debhelper.
 # GNU copyright 1997 to 1999 by Joey Hess.
 
 # Uncomment this to turn on verbose mode.
@@ -16,13 +15,12 @@
 
 build-stamp:
 	dh_testdir
-	env PATH=$$PATH:$(CURDIR) $(MAKE) CFLAGS="$(CFLAGS)"
-	env PATH=$$PATH:$(CURDIR) $(MAKE) test
+	$(MAKE) CFLAGS="$(CFLAGS)"
+	$(MAKE) test
 	touch build-stamp
 
 clean:
 	dh_testdir
-	dh_testroot
 	rm -f build-stamp
 	rm -f unifdef
 	rm -f version.h
@@ -34,8 +32,7 @@
 	dh_testroot
 	dh_clean
 	dh_installdirs
-	echo RUNNING MAKE INSTALL
-	env PATH=$$PATH:$(CURDIR) $(MAKE) install prefix=/usr DESTDIR=$(CURDIR)/debian/unifdef
+	$(MAKE) install prefix=/usr DESTDIR=$(CURDIR)/debian/unifdef
 
 # Build architecture-independent files here.
 binary-indep: build install

## unifdef 2.10

=== debian/changelog ===
unifdef (2.10-1) unstable; urgency=low

  * New upstream release.

 -- Bob Proulx <bob@proulx.com>  Wed, 22 Jan 2014 23:46:53 -0700

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: devel
 Priority: optional
 Maintainer: Bob Proulx <bob@proulx.com>
-Build-Depends: debhelper (>= 8.0.0)
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 9.0.0)
+Standards-Version: 3.9.5
 Homepage: http://dotat.at/prog/unifdef/
 
 Package: unifdef

=== debian/rules ===
#!/usr/bin/make -f

build: build-arch build-indep

build-indep: build-stamp

build-arch: build-stamp

build-stamp:
	$(MAKE) $(shell dpkg-buildflags --export=cmdline)
	$(MAKE) test
	touch build-stamp

clean:
	rm -f build-stamp
	rm -f unifdef
	rm -f version.h
	dh_clean

install: build
	dh_clean
	dh_installdirs
	$(MAKE) install prefix=/usr DESTDIR=$(CURDIR)/debian/unifdef

binary: binary-indep binary-arch

binary-indep: build install

binary-arch: build install
	dh_installdocs
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install

## unifdef 2.12

=== Makefile ===
# Makefile for unifdef

prefix =	${HOME}
bindir =	${prefix}/bin
mandir =	${prefix}/share/man
man1dir=	${mandir}/man1

bindest=	${DESTDIR}${bindir}
man1dest=	${DESTDIR}${man1dir}

all: unifdef

unifdef: unifdef.c unifdef.h version.h
	${CC} ${CFLAGS} ${LDFLAGS} -o unifdef unifdef.c

version.h: version.sh
version.sh::
	scripts/reversion.sh

test: unifdef
	scripts/runtests.sh tests

install: unifdef unifdefall.sh unifdef.1
	: commands
	install -m 755 -d  ${bindest}
	install -m 755 unifdef  ${bindest}/
	install -m 755 unifdefall.sh  ${bindest}/unifdefall
	: manual
	install -m 755 -d  ${man1dest}
	install -m 644 unifdef.1  ${man1dest}/
	ln -s unifdef.1  ${man1dest}/unifdefall.1

clean:
	rm -f unifdef version.h
	rm -f tests/*.out tests/*.err tests/*.rc

realclean: clean
	rm -f unifdef.txt
	[ ! -d .git ] || rm -f Changelog version.sh
	find . -name .git -prune -o \( \
		-name '*~' -o -name '.#*' -o \
		-name '*.orig' -o -name '*.core' -o \
		-name 'xterm-*' -o -name 'xterm.tar.gz' \
		\) -delete

DISTEXTRA= version.h version.sh unifdef.txt Changelog

release: ${DISTEXTRA}
	scripts/copycheck.sh
	scripts/release.sh ${DISTEXTRA}

unifdef.txt: unifdef.1
	nroff -Tascii -mdoc unifdef.1 | col -bx >unifdef.txt

Changelog: version.sh scripts/gitlog2changelog.sh
	scripts/gitlog2changelog.sh >Changelog

# eof

=== debian/changelog ===
unifdef (2.12-1) unstable; urgency=low

  * New upstream release.  (Closes: #950351)
  * Thanks to Matthew Vernon for the nudge.
  * Bump Standards Version to 4.6.2.0 (no changes).

 -- Bob Proulx <bob@proulx.com>  Tue, 24 Oct 2023 17:02:56 -0600

unifdef (2.11-1) unstable; urgency=low

  * New upstream release.
  * Support cross compiling.  With thanks to Colin Watson.
    (Closes: #753507)

 -- Bob Proulx <bob@proulx.com>  Thu, 16 Jan 2020 17:19:31 -0700

unifdef (2.10-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply patch from Chris Lamb to fix FTBFS under some locales.
    (Closes: #841427)

 -- Adrian Bunk <bunk@debian.org>  Mon, 27 Mar 2017 18:38:39 +0300

unifdef (2.9-1) unstable; urgency=low

  * New upstream release.

 -- Bob Proulx <bob@proulx.com>  Wed, 14 Aug 2013 15:23:24 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: devel
 Priority: optional
 Maintainer: Bob Proulx <bob@proulx.com>
-Build-Depends: debhelper (>= 9.0.0)
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 10)
+Standards-Version: 4.6.2.0
 Homepage: http://dotat.at/prog/unifdef/
 
 Package: unifdef

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

# The prefix variable defaults to $HOME unless overridden.
override_dh_auto_install:
	dh_auto_install -- prefix=/usr

# multimissing test is not locale clean.  See Bug#841427.
override_dh_auto_test:
	env LC_ALL=C dh_auto_test

# dh_installman fails, unneeded, avoid.
override_dh_installman:

# The full changelog is small.
override_dh_installchangelogs:
	dh_installchangelogs --no-trim

override_dh_auto_clean:
	rm -f build-stamp
	rm -f unifdef
	rm -f version.h
	rm -f tests/*.out tests/*.err tests/*.rc
